/*
 GAMP - (c) 2001 - Renato R. Santana <rrsantana@yahoo.com>
 
 This file brings definitions for the MOD format. 
   
 This file is part of GAMP, the GNU Amiga Module Player
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
    
 You should have received a copy of the GNU General Public License
 along with This program; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* Amiga magic numbers to convert periods in frequencies */
#define	PAL_AMIGA_MAGIC_NUM			7093789.2
#define NTSC_AMIGA_MAGIC_NUM		7159090.5
#define DEFAULT_BPM					125			/* 125 Beats Per Minute */
#define DEFAULT_SPEED				6			/* 6 ticks per row (6*50Hz) */


#define 	MAXINS		31
#define		MIXSPEED	44100
//#define		MIXSPEED	22050

struct	instrumenttype{
	char					sampname[22]; 	/*0..21*/
    unsigned short			samplen;
    char					samptune;
    char					sampamp;
    unsigned short			sampreps;
    unsigned short			samprepl;
};

struct	modheadertype{
	char					modname[20];
	struct instrumenttype	modinstr[MAXINS];
	char					modlen;
    char					modmisc;
    char					modarrangement[128];
	char					modmark[4];
};

struct mod_pat_row {
	unsigned char			channel1[4], channel2[4], channel3[4], channel4[4];
};

struct modpattern {
	struct mod_pat_row		row[64];
};

